## org.apache.poi.ss.formula.ptg
Class ControlPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.ControlPtg

Direct Known Subclasses:
  AttrPtg, ExpPtg, ParenthesisPtg, TblPtg

    public abstract class ControlPtg

extends Ptg

Common superclass for tExp tTbl tParen tNlr tAttr tSheet tEndSheet

Field Summary

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`ControlPtg()`

Method Summary
`byte` `getDefaultOperandClass()`
`boolean` `isBaseToken()`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, readTokens, serializePtgs, setClass, toFormulaString, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlPtg

    public ControlPtg()

Method Detail

### isBaseToken

    public boolean isBaseToken()

  Specified by:
    `isBaseToken` in class `Ptg`
  Returns:
    `false` if this token is classified as 'reference', 'value', or 'array'

### getDefaultOperandClass

    public final byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.